Skip to main content
POST
/
organizations
/
{organizationId}
/
allowed-ip-address-ranges
Create an allowed IP address range
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/allowed-ip-address-ranges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ipAddressRange": "1.1.1.1/32"
}
'
{
  "createdAt": "2022-11-22T04:37:12Z",
  "id": "clm9sq6s0000008kz7uvl7yz7",
  "ipAddressRange": "1.1.1.1/32",
  "organizationId": "clyt27999000008me3yp39wcp",
  "updatedAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization where you want to create the allowed IP address range.

Body

application/json

The request body for creating an IP address range that allows access to the Astro API.

ipAddressRange
string
required

The allowed IP address range in CIDR format.

Example:

"1.1.1.1/32"

Response

OK

createdAt
string<date-time>
required

The time when the allowed IP address range was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

id
string
required

The allowed IP address range's ID.

Example:

"clm9sq6s0000008kz7uvl7yz7"

ipAddressRange
string
required

The allowed IP address range in CIDR format.

Example:

"1.1.1.1/32"

organizationId
string
required

The allowed IP address range's Organization ID.

Example:

"clyt27999000008me3yp39wcp"

updatedAt
string<date-time>
required

The time when the allowed IP address range was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
updatedBy
object